package com.backendsys.service.SDKService.SDKTencent;

import java.util.List;
import java.util.Map;

public interface SDKTencentAiTimbreService {

    // [内部服务][腾讯-数智人] 获取公共/定制音色 (使用公司账号)
    // - 会把公共和定制的音色一起返回过来，定制音色排序在末尾
    Map<String, Object> initTimbre(Integer pageIndex, Integer pageSize);


    // [内部服务] 获得全部音色 (循环调用接口，至到获得全部数据)
    // - 用于遍历并匹配用户ID与音色标识
    List<Map<String, Object>> getTimbreOfDepth(Integer pageIndex, Integer pageSize);

    // [内部服务] 获得音色详细信息 (通过音色名称)
    Map<String, Object> getTimbreObject(String timbre_name);
}
